%%
clear
close all
SOFAstart;
%hrtf = SOFAload('FABIAN_HRTF_DATABASE_V2\1 HRIRs\SOFA\FABIAN_HRIR_measured_HATO_0.sofa');
hrtf = SOFAload('subject_003.sofa');
%SOFAinfo(hrtf);
fs_hrtf = hrtf.Data.SamplingRate;
hrtfData = hrtf.Data.IR;
sourcePosition = hrtf.SourcePosition;
%%
h0 = squeeze(hrtf.Data.IR(1,:,:))';
plot(h0);

% Olvass be egy audio filet (audioread)
% Csonkold pl 3 másodpecre
% Mintavételezd újra a HRTF gyűjtemény fs-ére (resample)
% Adj meg tetszőleges bemeneti irány (Descartes, vagy gömbi)
% Végezd el a HRTF-ekkel való szűrést, és hallgasd meg
%%
SOFAplotGeometry(hrtf);